API
Substack API
The AI-powered Substack provides 360° Global Media Data & Intelligence on Substack writers, newsletter operators, paid subscription publishers, and independent media creators.
APIリファレンス バージョン: 1.0.0 2 エンドポイント 認証
ベース URL
https://pressmonitor.com/api 認証
すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/substack_publication Substack Publication
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| publication | string | query | はい | Publication name |
コード例
curl -X GET \
"https://pressmonitor.com/api/substack_publication?publication=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/substack_posts Substack Publications
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| publication | string | query | はい | Publication name |
| limit | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/substack_posts?publication=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
